<!-- Based on compositing/squashing/repaint-squashed-layer-in-rect.html -->
<!doctype html>
<div style="height: 800px; width: 800px; background-color: lightgray; transform:translateZ(0)">
</div>
<div style="position:absolute; top: 0px; height: 200px; width: 200px">
</div>
<div style="position:absolute; top: 400px; left: 400px; height: 200px; width: 200px; background-color: lightblue">
  <div id="imgElement" style="height: 200px; width: 200px; background-color: lightblue">
  </div>
</div>
<script src="resources/paint-invalidation-test.js"></script>
<script>
// Test that a repaint for the rect containing the changed background image is issued in the coordinate space of the
// squashing layer, *not* local to the div with the background image on it.
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV id='imgElement'",
];
function paintInvalidationTest() {
    var imgElement = document.querySelector("#imgElement");
    imgElement.style.backgroundImage = "url('data:image/gif;base64,R0lGODdhAgACAIABAAAAAP///ywAAAAAAgACAAACA0QCBQA7')";
}
runPaintInvalidationTest();
</script>
